summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorAndrej Mihajlov <and@mullvad.net>2019-09-02 14:30:11 +0200
committerAndrej Mihajlov <and@mullvad.net>2019-09-02 14:30:11 +0200
commit373831d1f51a6d963775f6b092bb04f4848299e5 (patch)
treedecc43d60fb79e0670c771db1b7a9eed800c8f8b
parent90f6da965c2deeddbd3c12ee26c2e7a3b344fda8 (diff)
downloadmullvadvpn-373831d1f51a6d963775f6b092bb04f4848299e5.tar.xz
mullvadvpn-373831d1f51a6d963775f6b092bb04f4848299e5.zip
Unregister uninstalled pkg from the system
-rwxr-xr-xdist-assets/uninstall_macos.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/dist-assets/uninstall_macos.sh b/dist-assets/uninstall_macos.sh
index 38432032d9..e2564c544b 100755
--- a/dist-assets/uninstall_macos.sh
+++ b/dist-assets/uninstall_macos.sh
@@ -20,6 +20,7 @@ sudo rm -f "$DAEMON_PLIST_PATH"
echo "Removing app from /Applications ..."
sudo rm -rf /Applications/Mullvad\ VPN.app
+sudo pkgutil --forget net.mullvad.vpn || true
read -p "Do you want to delete the log and cache files the app has created? (y/n) "
if [[ "$REPLY" =~ [Yy]$ ]]; then